/*------------------------------------*\

    Posts CSS

    Posts.................Post content for loop on blog homepage, category, search page, archives, etc.
    Sidebar...............Sidebar elements.

\*------------------------------------*/


.post-item {
    border-top: 1px solid #ddd;
    padding-top: 30px;
    margin-top: 30px;
}

.post-item:first-of-type {
    border-top: 0;
    padding-top: 0;
    margin-top: 0;
}

.post-item__heading a {
    text-decoration: none;
}

.post-item .btn,
.post-item .btn-primary {
    margin-top: 30px;
}

.post-item__meta {
    font-size: .8em;
}

.blog-post__img-container {
    line-height: 0;
}

.blog-post__img {
    border-radius: 8px 8px 0 0;
    object-fit: cover;
    width: 100%;
}

.blog-single-container .blog-post__img {
    border-radius: 8px;
    margin-bottom: 30px;
}

.blog-post__meta {
    padding: 20px 20px 30px;
    box-shadow: 0 3px 24px rgb(111 111 111 / 16%);
    margin-bottom: 30px;
    border-radius: 0 0 8px 8px;
}

.blog-search__mobile {
    margin-bottom: 30px;
}


@media (min-width: 1025px) {

    .post-item {
        padding-top: 50px;
        margin-top: 50px;
    }

    .blog-post__meta {
        margin-bottom: 50px;
    }

}


/**
 * Sidebar
 */

/* Blog Sidebar */

.page-sidebar {
    margin-top: 60px;
    margin-bottom: 60px;
}

.page-sidebar .widget {
    box-shadow: 0 3px 24px rgb(111 111 111 / 16%);
    border-radius: 8px;
    padding: 30px;
    margin-bottom: 30px;
}

.page-sidebar .widget h4 {
    margin-bottom: 15px;
}

.page-sidebar .row {
    margin: 0;
}

.page-sidebar .container,
.page-sidebar .col-xxs-12,
.page-sidebar ul {
    padding: 0;
}

.wp-block-search__label {
    font-size: 20px;
    line-height: 1.2em;
    padding-bottom: 10px;
    font-weight: 400;
    color: #9D9D9D;
    margin-bottom: 15px;
    display: block;
}

.page-sidebar .choices__inner {
    padding-left: 0;
    padding-top: 7.5px;
    height: auto;
}

.page-sidebar .choices[data-type*='select-one']:after {
    top: 15px;
}

@media (min-width: 768px) {
    .wp-block-search__label {
        font-size: 24px;
    }
}

@media (min-width: 1025px) {

    .page-sidebar {
        margin-top: 0;
        margin-bottom: 0;
        padding-left: 30px;
    }

}



/**
* FX Load More
*/

.blog-listing__pagination {
    text-align: center;
}

.load-more.view-btn {
    text-align: center;
}

/* Load More Progress Bar */
.load-more__progress {
    margin-top: 15px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    height: 10px;
    border: 0;
    border-radius: 0;
    min-width: 250px;
}
progress::-webkit-progress-bar,
progress::-webkit-progress-value,
progress::-moz-progress-bar {
    height: 10px;
    border: 0;
    border-radius: 0;
}
progress::-webkit-progress-bar {
    background-color: #ddd;
}
progress::-webkit-progress-value {
    background-color: #A20600;
}

/* Loading Indicator */
.is-loading:before  {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    display: block;
    width: 50px;
    height: 50px;
    border: 5px solid;
    border-color: #E3E3E3 #E3E3E3 transparent;
    border-radius: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-animation: simpleSpin 1.5s linear infinite;
    animation: simpleSpin 1.5s linear infinite;
}

/* Load More Button */
.load-more__btn {
    border: 0;
    display: block;
    margin: 20px auto 0;
}

.load-more__btn.is-loading {
    position: relative;
    opacity: 0.6;
    cursor: not-allowed;
}

.load-more__btn.is-loading:before {
    width: 20px;
    height: 20px;
}

.load-more__btn.is-disabled {
    cursor: not-allowed;
    background-color: #4a4a4a;
}

/* Placeholder Space */
.placeholder-block {
    position: relative;
    display: flex;
}

.placeholder-block__inner {
    flex-grow: 1;
    background-color: #fafafa;
}

.placeholder-block.is-loading:before {
    width: 50px;
    height: 50px;
}

.post-listing__pagination .load-more {
    text-align: center;
}

@-webkit-keyframes simpleSpin {
    0% {
        -webkit-transform: translate(-50%, -50%) rotateZ(0deg);
        transform: translate(-50%, -50%) rotateZ(0deg);
    }

    100% {
        -webkit-transform: translate(-50%, -50%) rotateZ(360deg);
        transform: translate(-50%, -50%) rotateZ(360deg);
    }
}

@keyframes simpleSpin {
    0% {
        -webkit-transform: translate(-50%, -50%) rotateZ(0deg);
        transform: translate(-50%, -50%) rotateZ(0deg);
    }

    100% {
        -webkit-transform: translate(-50%, -50%) rotateZ(360deg);
        transform: translate(-50%, -50%) rotateZ(360deg);
    }
}


/* Search Results */
.search-result {
    text-decoration: none;
    display: flex;
    flex-direction: column;
    margin-bottom: 30px;
    padding-bottom: 20px;
    color: #3B3B3B;
}

.search-result:hover {
    color: #3B3B3B;
}

.search-result:hover .btn--primary {
    background-color: #9D9D9D;
}

.search-result__img-container {
    margin-bottom: 20px;
}

.search-result__img-container img {
    border-radius: 8px;
}

.search-result__title {
    margin-bottom: 16px;
    padding-bottom: 0;
}

.search-result__excerpt {
    margin-bottom: 20px;
}

h2.search-error {
    margin-bottom: 30px;
    border-bottom: 5px solid #a20600;
}

@media (min-width: 768px) {
    .search-result {
        flex-direction: row;
    }

    .search-result__img-container {
        flex-basis: 150px;
        flex-shrink: 0;
        margin-right: 30px;
    }
}
